package com.jeeww.core.vo;

/**
 * agileUI 树配置.
 * @author jiangww
 */
public class TreeConfig implements java.io.Serializable {
    /**
     * .
     */
    private static final long serialVersionUID = 1L;
    /**
     * 树节点ID字段属性名，用于从数据库中取值.
     */
    private String            treeIdProperty;
    /**
     * 树节点名称字段属性名，用于从数据库中取值.
     */
    private String            treeNameProperty;
    /**
     * 树节点ID名称，用于返回标记.
     */
    private String            treeIdName       = "id";
    /**
     * 树节点Text名称，用于返回标记.
     */
    private String            treeTextName     = "text";
    /**
     * 树节点Children名称，用于返回标记.
     */
    private String            treeChildrenName = "children";
    /**
     * 树节点其他属性.
     */
    private String            treeProperties;
    /**
     * 查询树的命名查询ID.
     */
    private String            treeNamedQueryIdForTree;
    /**
     * 校验是否有子节点的命名查询ID.
     */
    private String            treeNamedQueryIdForCheck;

    /**
     * @return the treeIdProperty
     */
    public final String getTreeIdProperty() {
        return treeIdProperty;
    }

    /**
     * @param treeIdProperty the treeIdProperty to set
     */
    public final void setTreeIdProperty(final String treeIdProperty) {
        this.treeIdProperty = treeIdProperty;
    }

    /**
     * @return the treeNameProperty
     */
    public final String getTreeNameProperty() {
        return treeNameProperty;
    }

    /**
     * @param treeNameProperty the treeNameProperty to set
     */
    public final void setTreeNameProperty(final String treeNameProperty) {
        this.treeNameProperty = treeNameProperty;
    }

    /**
     * @return the treeProperties
     */
    public final String getTreeProperties() {
        return treeProperties;
    }

    /**
     * @param treeProperties the treeProperties to set
     */
    public final void setTreeProperties(final String treeProperties) {
        this.treeProperties = treeProperties;
    }

    /**
     * @return the treeNamedQueryIdForCheck
     */
    public String getTreeNamedQueryIdForCheck() {
        return treeNamedQueryIdForCheck;
    }

    /**
     * @param treeNamedQueryIdForCheck the treeNamedQueryIdForCheck to set
     */
    public void setTreeNamedQueryIdForCheck(final String treeNamedQueryIdForCheck) {
        this.treeNamedQueryIdForCheck = treeNamedQueryIdForCheck;
    }

    /**
     * @return the treeNamedQueryIdForTree
     */
    public String getTreeNamedQueryIdForTree() {
        return treeNamedQueryIdForTree;
    }

    /**
     * @param treeNamedQueryIdForTree the treeNamedQueryIdForTree to set
     */
    public void setTreeNamedQueryIdForTree(final String treeNamedQueryIdForTree) {
        this.treeNamedQueryIdForTree = treeNamedQueryIdForTree;
    }

    /**
     * @return the treeIdName
     */
    public String getTreeIdName() {
        return treeIdName;
    }

    /**
     * @param treeIdName the treeIdName to set
     */
    public void setTreeIdName(final String treeIdName) {
        this.treeIdName = treeIdName;
    }

    /**
     * @return the treeTextName
     */
    public String getTreeTextName() {
        return treeTextName;
    }

    /**
     * @param treeTextName the treeTextName to set
     */
    public void setTreeTextName(final String treeTextName) {
        this.treeTextName = treeTextName;
    }

    /**
     * @return the treeChildrenName
     */
    public String getTreeChildrenName() {
        return treeChildrenName;
    }

    /**
     * @param treeChildrenName the treeChildrenName to set
     */
    public void setTreeChildrenName(final String treeChildrenName) {
        this.treeChildrenName = treeChildrenName;
    }
}
